%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:                apiviz
Version:             1.3.2
Release:             1
Summary:             APIviz is a JavaDoc doclet to generate class and package diagrams
License:             LGPLv2+
URL:                 http://code.google.com/p/apiviz/
Source0:             https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/apiviz/apiviz-%{namedversion}-dist.tar.gz
Patch0000:           0001-JDK7-compatibility.patch
Patch0001:           0002-JDK8-compatibility.patch
Patch0002:           0003-fix-deprecated-assembly-goal.patch
BuildArch:           noarch
BuildRequires:       maven-local mvn(ant-contrib:ant-contrib) mvn(com.sun:tools)
BuildRequires:       mvn(jdepend:jdepend) mvn(junit:junit)
BuildRequires:       mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:)
%description
APIviz is a JavaDoc doclet which extends the Java standard doclet.
It generates comprehensive UML-like class and package diagrams for
quick understanding of the overall API structure.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n apiviz-%{namedversion} -p1
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
%pom_remove_dep com.sun:tools
%pom_add_dep com.sun:tools
%mvn_alias "org.jboss.apiviz:apiviz" "net.gleamynode.apiviz:apiviz"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc COPYRIGHT.txt LICENSE.jdepend.txt LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sat Aug 1 2020 huanghaitao <huanghaitao8@huawei.com> - 1.3.2-1
- package init
